首页 > 安全资讯 >

ubuntu 11.04下搭建android开发/编译环境—安装必要工作用软件

11-07-20

在ubuntu下工作一段时间了,总结一下android开发/编译环境的搭建。JDK的安装: 自动安装:ubuntu的源提供一个JDK 是sun-java6-jdk 可以用Synaptic Package Manager(新立得)来安装,当然也可以在shell中执...

在ubuntu下工作一段时间了,总结一下android开发/编译环境的搭建。

JDK的安装:
    自动安装:ubuntu的源提供一个JDK 是sun-java6-jdk   可以用Synaptic Package Manager(新立得)来安装,当然也可以在shell中执行下面命令来安装
  runner@runner-Lenovo:~$ sudo apt-get install sun-java6-jdk
  手动安装:
   去官网下载最新的linux版本的JDK,我下载的是jdk-6u26-linux-x64.bin   。/usr目录主要用来存放ubuntu系统中用到的一些软件,/usr/lib/jvm/是系统默认的JDK目录,所以我也打算把自己下载的JDK安装到该目录下。/usr/lib/jvm/新建一个一文件件,把jdk-6u26-linux-x64.bin   拷贝到该文件夹下然后执行下面命令

      sudo chmod u+x /usr/lib/jvm/java/jdk-6u26-linux-x64.bin 修改bin文件权限,使其可执行然后,执行
      sudo ./jdk-6u26-linux-x64.bin安装

安装完成以后会在/usr/lib/jvm/java/下生成一个jdk1.6.0_26的文件夹。到此JDK 安装完毕。下面配置环境变量:

     command:
     sudo vi /etc/environment
     PATH="......:/usr /lib/jvm/java/jdk1.6.0_26/bin"(这个地方有引号,下面的classpath和java_home都没有引号)
  CLASSPATH=.:/usr/lib/jvm/java/jdk1.6.0_26/lib
  JAVA_HOME=/usr/lib/jvm/java/jdk1.6.0_26


    source /home/用户名/.bashrc  (执行source命令时,前面不能家sudo 命令,因为source命令并不属于系统命令)
      此时,环境变量设置成功。


由于ubuntu11.04 中自带有默认的jdk--openjdk,所以,为了使默认使用的是我们安装的jdk,还要进行如下工作。
  执行:
  sudo update-alternatives --install /usr/bin/java java /usr/lib/jvm/java/jdk1.6.0_26/bin/java 300
  格式:sudo update-alternatives --install /usr/bin/java java 用户的jdk的bin目录/java 300

  sudo update-alternatives --install /usr/bin/javac javac /usr/lib/jvm/java/jdk1.6.0_26/bin/javac 300
  格式同上
  通过这一步将我们安装的jdk加入java选单。
  然后执行:
  sudo update-alternatives --config java
  通过这一步选择系统默认的jdk
  这样,再在shell中输入:
  java -version时,就会显示系统使用的java是sun的java,至此,jdk安装成功,环境变量设置成功。

2. 去官网下载最新的eclipse,解压就可以使用,但是要下载对应的eclipse ,64位系统就用64位的eclipse,32位系统就下载32的,刚开始装上64位ubuntu的时候就忘记这个问题,从朋友那里拷贝过来一个eclipse,捣鼓半天没成功,后来才搞清楚那个eclipse是32位的

3. 配置ADT ,现在网上大家windows开发环境的文章一大堆,可以参考,当然可以看官网,网址:http://developer.android.com/sdk/eclipse-adt.html最新的ADT  都到ADT 12.0.0 (July 2011)

 4.配置SDK,在http://developer.android.com/sdk/index.html下下载linux的SDK-----android-sdk_r12-linux_x86.tgz 。然后更新,更新需要一段事件,耐心等待。最后就是在在Eclipse下配置SDK,window---->preferences>Android 下配置

 

Android编译需要首先需要装的工具:

sudo apt-get install git-core gnupg flex bison gperf build-essential zip curl zlib1g-dev gcc-multilib g++-multilib libc6-dev-i386 lib32ncurses5-dev ia32-libs x11proto-core-dev libx11-dev lib32readline5-dev lib32z-dev libxml-simple-perl

相关文章
最新文章
热点推荐